%define kdeprefix /usr
#%define qtdir /usr/lib/qt-1.45
%define qtdir %{__libdir}/qt-1.45
%define sourcedir stable/1.1.2/distribution/tar/generic/source

%define rhsupport kdesupport-redhat-1.1.2
%define omit  --without-libjpeg --without-libgif --without-libgdbm 
%define extrareq libungif libjpeg >= 6b-5 gdbm rpm >= 2.5
Name: kdesupport
Summary: Support libraries for the K Desktop Environment (KDE).
Version: 1.1.2
Release: 12.3.niisi
Serial: 3
Source: ftp://ftp.kde.org/pub/kde/{sourcedir}/%{name}-%{version}.tar.bz2
Source1: %{rhsupport}.tar.bz2
Patch0: kdesupport-1.1.2-fixalpha.patch
Group: User Interface/Desktops
Copyright: LGPL/GPL
BuildRoot: /var/tmp/%{name}-buildroot
Requires: %{extrareq}
Prereq: /sbin/ldconfig
BuildPrereq: autoconf, automake, libtool, qt1x-devel, glibc-devel
Prefix: %{kdeprefix}

%description
The K Destktop Environment (KDE) is a GUI desktop for the X Window
System. The kdesupport package contains support libraries for KDE that
aren't part of KDE, including QwSpriteField, js (JavaScript), uulib,
mimelib, and rdb. Depending upon the Red Hat Linux release, the gdbm,
jpeg and gif libraries are either included, or the versions supplied
by Red Hat are required.

This package also provides extra KDE support for Red Hat Linux,
including the usekde script and other scripts.  Usekde allows users to
set up KDE as their default desktop (this is also done automatically
when a new user is created).  Scripts are also included to replace the
X display manager (xdm) with the KDE X Display Manager (kdm).

If you're installing KDE, you'll need to install kdesupport, kdebase
and kdelibs.

%package devel
Group: Development/Libraries
Summary: Header files and documentation for the KDE support libraries.
Requires: qt1x-devel

%description devel
This package contains the header files needed to compile applications
using the K Desktop Environment (KDE) support libraries:
QwSpriteField, js (javascript), uulib, mimelib, and rdb.

You should install this package if you want to recompile or develop
KDE applications.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q -n kdesupport
%patch0 -p1 -b .fixalpha

# extra scripts for redhat
%setup -q -n kdesupport -T -D -a 1



%build
export deplibs_check_method=pass_all
#       --prefix=%{kdeprefix} \
export QTDIR=%{qtdir}
make -f Makefile.cvs
#export MOC=/home/pavloff/moc-qt1.45-x86
export MOC=/usr/lib/qt-1.45/bin/moc
%configure \
	--prefix=/usr \
	--with-install-root=$RPM_BUILD_ROOT \
	--with-qt-dir=%{__libdir}/qt-1.45 \
	--disable-static \
        --host=mips-unknown-linux-gnu \
        --target=mips-unknown-linux-gnu \
        --includedir=%{__includedir} \
        --libdir=%{__libdir} \
        --x-includes=%{__includedir} \
        --x-libraries=%{__libdir}/X11R6 \
	--disable-path-check %{omit}
make CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS"

%install
#HACK - change dirs for installation and packing package (
#changing /export**** -> $RPM_BUILD_ROOT/usr/lib in all Makefiles
# for correct make install operation
export QTDIR=%{qtdir}
make -f Makefile.cvs
export MOC=/usr/lib/qt-1.45/bin/moc
%configure \
	--prefix=/usr \
	--with-install-root=$RPM_BUILD_ROOT \
	--with-qt-dir=%{__libdir}/qt-1.45 \
	--disable-static \
        --host=mips-unknown-linux-gnu \
        --target=mips-unknown-linux-gnu \
        --includedir=$RPM_BUILD_ROOT/usr/include \
	--libdir=$RPM_BUILD_ROOT/usr/lib \
	--disable-path-check %{omit}
#end HACK
make prefix=$RPM_BUILD_ROOT%{kdeprefix} install-strip
chmod a+x $RPM_BUILD_ROOT%{kdeprefix}/lib/*
#Attention strip -> %{__strip} 
%{__strip} --strip-unneeded -R .comments $RPM_BUILD_ROOT%{kdeprefix}/lib/*so*

# edit the redhat scripts to use %{kdeprefix}
cd $RPM_BUILD_DIR/kdesupport/scripts
for file in * ; do
    if [ -f $file ] ; then
	sed -e "s.@KDEPREFIX@.%{kdeprefix}.g" $file > ../$file
    fi
done
cd ..
echo "TUT"
# install the default user configuration files
mkdir -p $RPM_BUILD_ROOT/usr/share/applnk
mv etc/skel/kde etc/skel/.kde
cp -aR $RPM_BUILD_DIR/kdesupport/share/config \
	etc/skel/.kde/share
cp -aR $RPM_BUILD_DIR/kdesupport/share/applnk/* \
	$RPM_BUILD_ROOT/usr/share/applnk
cp -aR $RPM_BUILD_DIR/kdesupport/share/icons \
	$RPM_BUILD_ROOT/usr/share
cp -aR $RPM_BUILD_DIR/kdesupport/etc $RPM_BUILD_ROOT
# we ignore the share stuff, for now

# Netscape doesn't exist on alpha, so...
%ifarch alpha
rm -rf $RPM_BUILD_ROOT/usr/share/applnk
rm -rf $RPM_BUILD_ROOT/usr/share/icons
perl -pi -e 's|,\$\$KDEAPPS/Internet/netscape\.kdelnk||g' $RPM_BUILD_ROOT/etc/skel/.kde/share/config/kpanelrc
%endif

#install initialization scripts.
install -d $RPM_BUILD_ROOT/etc/profile.d
install -c -m 0755 $RPM_BUILD_DIR/kdesupport/kde.sh \
	$RPM_BUILD_ROOT/etc/profile.d/kde.sh
install -c -m 0755 $RPM_BUILD_DIR/kdesupport/kde.csh \
	$RPM_BUILD_ROOT/etc/profile.d/kde.csh

# Generating the filelist  (files in %{name})
{
        pushd $RPM_BUILD_ROOT
        find . -type d | sed '1,2d;s,^\.,\%attr(-\,root\,root) \%dir ,' > \
                $RPM_BUILD_DIR/file.list.%{name}
 
        find . -type f | sed -e 's,^\.,\%attr(-\,root\,root) \",' \
                -e '/\/config\//s|^|%config|' >> \
                $RPM_BUILD_DIR/file.list.%{name}
 
        find . -type l | sed 's,^\.,\%attr(-\,root\,root) ,' >> \
                $RPM_BUILD_DIR/file.list.%{name}
 
	perl -pi -e "s,/etc,%config /etc,g" file.list.%{name}

	egrep -v "%{kdeprefix}/doc$|%{kdeprefix}/doc/" $RPM_BUILD_DIR/file.list.%{name} > \
		$RPM_BUILD_DIR/file.list.%{name}.new
	mv $RPM_BUILD_DIR/file.list.%{name}.new \
		$RPM_BUILD_DIR/file.list.%{name}
	mkdir -p $RPM_BUILD_ROOT%{kdeprefix}/doc/kde
	echo "%docdir %{kdeprefix}/doc/kde" >> \
		$RPM_BUILD_DIR/file.list.%{name}
	grep "\.so$" $RPM_BUILD_DIR/file.list.%{name} > \
		$RPM_BUILD_DIR/file.list.%{name}-devel
	grep "\.h$" $RPM_BUILD_DIR/file.list.%{name} >> \
		$RPM_BUILD_DIR/file.list.%{name}-devel
	grep "/include$" $RPM_BUILD_DIR/file.list.%{name} >> \
		$RPM_BUILD_DIR/file.list.%{name}-devel
	egrep -v "/include$|\.h$|\.so$" \
		$RPM_BUILD_DIR/file.list.%{name} >\
		$RPM_BUILD_DIR/file.list.%{name}-main
	popd
}

%clean
rm -rf $RPM_BUILD_ROOT $RPM_BUILD_DIR/file.list.%{name} $RPM_BUILD_DIR/file.list.%{name}-devel $RPM_BUILD_DIR/file.list.%{name}-main


%post
if [ -f /etc/ld.so.conf ]; then
	grep -q '%{kdeprefix}/lib' /etc/ld.so.conf || \
	echo "%{kdeprefix}/lib" >> /etc/ld.so.conf
else
	echo "%{kdeprefix}/lib" >> /etc/ld.so.conf
fi
/sbin/ldconfig

%postun
if [ $1 = 0 ]; then
	if ! [ -d %{kdeprefix}/lib ] ; then
	mv /etc/ld.so.conf /etc/ld.so.conf.orig
	grep -v '^%{kdeprefix}/lib$' /etc/ld.so.conf.orig > /etc/ld.so.conf
	rm /etc/ld.so.conf.orig
	/sbin/ldconfig
	fi
fi

%files -f ../file.list.%{name}-main

%files devel -f ../file.list.%{name}-devel

%changelog
* Tue Jan 13 2004 Sergey Rogozhkin <rogozhkin@niisi.msk.ru>
-(12.3.niisi) Add deplibs_check_method=pass_all

* Mon Dec 22 2003 Sergey Rogozhkin <rogozhkin@niisi.msk.ru>
- Replace /export/tools/mips-linux/lib by %%{__libdir}
- Replace /export/tools/mips-linux/include by %%{__includedir}

* Tue Nov 04 2003 Maria Roganovich <bobkova@niisi.msk.ru>
- (12.2.niisi) Define qtdir as %%{__libdir}/qt-1.45 and set MOC=/usr/lib/qt-1.45/bin/moc

* Wed Jun 18 2003 Antony Pavloff <antony@pc77a.cs.msu.su>
- (12.1.niisi) Replace strip by %%{__strip}

* Sat Feb 26 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Don't put a Netscape icon in kpanel on alpha.

* Wed Feb 23 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Add missing netscape icon

* Thu Feb 10 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- remove the Autorun.kdelnk file from Autostart - autorun adds it.

* Wed Feb  9 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- make default settings more reasonable.

* Sat Feb  5 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- strip libraries
- mark config files as such

* Wed Feb 02 2000 Cristian Gafton <gafton@redhat.com>
- get rid of usless defines
- fix summary and description

* Fri Jan  7 2000 Bernhard Rosenkrnzer <bero@redhat.com>
- Split in normal and -devel packages
- don't build static libraries - we aren't using them anyway.
- make use of BuildPrereq

* Fri Jan  7 2000 Bernhard Rosenkrnzer <bero@redhat.com>
- Update to current KDE_1_1_BRANCH in CVS - some bugfixes
- fix syntax error in kde.csh
- workaround for libtool problem on alpha

* Wed Oct 06 1999 Preston Brown <pbrown@redhat.com>
- smail fix for mimelib to fix crashes of kmail on alpha

* Thu Sep 23 1999 Preston Brown <pbrown@redhat.com>
- fix up kde.sh and kde.csh scripts for relocatibility
- put docs under /usr/doc/kde

* Mon Sep 13 1999 Preston Brown <pbrown@redhat.com>
- updated templates from kdebase

* Mon Sep 07 1999 Preston Brown <pbrown@redhat.com>
- packaged 1.1.2 release

* Mon Jul 11 1999 Preston Brown <pbrown@redhat.com>
- fixed broken kde.csh startup script.

* Fri Jun 11 1999 Preston Brown <pbrown@redhat.com>
- quite a few bugfixes and the latest snapshot

* Mon Apr 19 1999 Preston Brown <pbrown@redhat.com>
- last snapshot before release

* Fri Apr 16 1999 Preston Brown <pbrown@redhat.com>
- updated some of the default configuration information
- made the printer icon use klpq not lpr

* Wed Apr 14 1999 Preston Brown <pbrown@redhat.com>
- stop warning message at installation time if ld.so.conf nonexistent

* Tue Apr 13 1999 Preston Brown <pbrown@redhat.com>
- fixed substitution of KDEPREFIX in shell scripts

* Mon Apr 12 1999 Preston Brown <pbrown@redhat.com>
- snapshot from stable tree, improvements

* Wed Feb 24 1999 Preston Brown <pbrown@redhat.com>
- Injected new description and group.
- removed installation of /etc/skel/.Xclients.

* Mon Feb 08 1999 Preston Brown <pbrown@redhat.com>
- upgrade to KDE 1.1 final.

* Tue Jan 05 1998 Preston Brown <pbrown@redhat.com>
- again, integrated changes from Duncan Haldane
